public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
From: Lokesh B V <lokesh.bv@arm.com>
To: edk2-devel@lists.01.org
Subject: [edk2-test][PATCH v2] SctPkg/build: Add support for GenBin tool build
Date: Wed, 28 Nov 2018 15:00:00 +0530	[thread overview]
Message-ID: <1543397402-19411-3-git-send-email-lokesh.bv@arm.com> (raw)
In-Reply-To: <1543397402-19411-1-git-send-email-lokesh.bv@arm.com>

As the GenBin tool is necessary for SCT build, it is appropriate to
support it's build in the SCT build procedure.

Cc: Supreeth Venkatesh <supreeth.venkatesh@arm.com>
Contributed-under: TianoCore Contribution Agreement 1.1
Signed-off-by: Lokesh B V <lokesh.bv@arm.com>
---
Changes since v1:
* Addressed review comments from the mailing list
* modified Copyright content

 uefi-sct/SctPkg/build.sh | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

diff --git a/uefi-sct/SctPkg/build.sh b/uefi-sct/SctPkg/build.sh
index 73581c9..a469362 100755
--- a/uefi-sct/SctPkg/build.sh
+++ b/uefi-sct/SctPkg/build.sh
@@ -1,7 +1,7 @@
 #!/bin/bash
 #
 #  Copyright 2006 - 2015 Unified EFI, Inc.<BR>
-#  Copyright (c) 2011 - 2015, ARM Ltd. All rights reserved.<BR>
+#  Copyright (c) 2011 - 2018, ARM Ltd. All rights reserved.<BR>
 #
 #  This program and the accompanying materials
 #  are licensed and made available under the terms and conditions of the BSD License
@@ -228,21 +228,23 @@ else
   echo using prebuilt tools
 fi
 
-# Copy GenBin file to Base tools directory
+rm -f $EDK_TOOLS_PATH/Source/C/bin/GenBin
+
+# build the GenBin if it doesn't yet exist
+echo Building GenBin
+make -C $EDK_TOOLS_PATH/../SctPkg/Tools/Source/GenBin
+status=$?
+if test $status -ne 0
+then
+echo Error while building GenBin
+  exit -1
+fi
+
+# Copy GenBin file to Base tools bin directory
 DEST_DIR=`GetEdkToolsPathBinDirectory`
 # Ensure the directory exist
 mkdir -p $DEST_DIR
-case `uname -m` in 
-	x86_64)
-		cp SctPkg/Tools/Bin/GenBin_lin_64 $DEST_DIR/GenBin
-		;;
-	x86_32)
-		cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-		;;
-	*)
-		cp SctPkg/Tools/Bin/GenBin_lin_32 $DEST_DIR/GenBin
-		;;
-esac
+cp $EDK_TOOLS_PATH/Source/C/bin/GenBin $DEST_DIR/GenBin
 
 #
 # Build the SCT package
-- 
2.7.4



  parent reply	other threads:[~2018-11-28  9:30 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-28  9:29 [edk2-test][PATCH] Framework/Include: allow usage with EFI version 2.7 Lokesh B V
2018-11-28  9:29 ` [edk2-test][PATCH] SctPkg/UEFI: Fix invalid GUID value format error Lokesh B V
     [not found]   ` <f59c45a7de154bd3706c54b73a48aa975dbfbf96.camel@arm.com>
2018-11-28 22:28     ` Supreeth Venkatesh
2018-11-28 22:29   ` Supreeth Venkatesh
2018-11-28  9:30 ` Lokesh B V [this message]
2018-11-28 22:30   ` [edk2-test][PATCH v2] SctPkg/build: Add support for GenBin tool build Supreeth Venkatesh
2018-11-28  9:30 ` [edk2-test][PATCH] Add *.o and *.d pattern to .gitignore Lokesh B V
2018-11-28 22:29   ` Supreeth Venkatesh
2018-11-28  9:30 ` [edk2-test][PATCH v2] SctPkg/Tools: Fix incorrect line ending detection by GenBin tool Lokesh B V
2018-11-28 22:29   ` Supreeth Venkatesh
2019-03-29  8:31   ` Jin, Eric
2019-03-29 14:11     ` Supreeth Venkatesh
2019-03-29 14:28     ` Minnow Ware
2019-03-29 14:34       ` Supreeth Venkatesh
2018-11-28 22:30 ` [edk2-test][PATCH] Framework/Include: allow usage with EFI version 2.7 Supreeth Venkatesh

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-list from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1543397402-19411-3-git-send-email-lokesh.bv@arm.com \
    --to=devel@edk2.groups.io \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox